<div class="page-breadcrumb">
    <div class="row align-items-center">
        <div class="col-5">
            <h4 class="page-title"><b>Usuarios</b></h4>
            <div class="d-flex align-items-center">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a style="color: #092a5e" ui-sref="app.clientes">Usuarios</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Listar</li>
                    </ol>
                </nav>
            </div>
        </div>
        <div class="col-7" style="text-align: right">
            <button type="button" class="btn btn-dental" data-toggle="modal" data-target="#exampleModal">
                <i class="fas fa-plus"></i>&nbsp;&nbsp;Crear Usuario
            </button>
        </div>
    </div>
</div>

<div class="card hidden-table">
    <div class="table-responsive">
        <table class="table">
            <thead class="thead-light">
                <tr>
                    <th scope="col">Nombre</th>
                    <th scope="col">E-mail</th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="u in usuarios">
                    <td style="padding-top: 17px">{{u.nombre}}</td>
                    <td style="padding-top: 17px">{{u.email}}</td>
                    <td style="padding-top: 10px"><a title="Eliminar" ng-click="eliminar(u)" class="btn btn-dental"><i class="fas fa-trash"></i>&nbsp;&nbsp;Eliminar</a></td>
                </tr>
            </tbody>
        </table>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content animated bounceIn">
            <div class="modal-header">
                <h4 class="modal-title" id="exampleModalLabel">Crear usuario</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body" style="padding: 10px 30px 10px 30px">

                <form ng-submit="crear(form)" class="form-horizontal">
                    <div class="form-group">
                        <label>Nombre</label>
                        <input ng-model="nuevo.nombre" type="text" class="form-control" placeholder="Nombre" required>
                    </div>
                    <div class="form-group">
                        <label>E-mail</label>
                        <input ng-model="nuevo.email" type="email" class="form-control" placeholder="Email" required>
                    </div>
                    <div class="form-group">
                        <label>Password</label>
                        <input ng-model="nuevo.password" type="password" class="form-control" placeholder="Password" required>
                    </div>
                    <div class="modal-footer" style="margin: 0px -27px;">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-dental">Crear</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>